%define upstream_name    Dist-Zilla-Plugin-ChangeStats-Git
%define upstream_version 0.6.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Provides an accessor for the changelog
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Changes) >= 0.170.0
BuildRequires: perl(Dist::Zilla::Role::AfterRelease)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Dist::Zilla::Role::Plugin)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Git::Repository)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Load)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util)
BuildRequires: perl(MooseX::Role::Parameterized)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Perl::Version)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Adds a line to the changelog giving some stats about the code churn since
the last release, which will look like:

  - code churn: 6 files changed, 111 insertions(+), 1 deletions(-)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTORS Changes INSTALL LICENSE META.json META.yml MYMETA.yml README.mkdn SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.6.0-5.mga9
+ Revision: 1808835
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.6.0-4.mga8
+ Revision: 1503937
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.6.0-3.mga7
+ Revision: 1282991
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.6.0-2.mga7
+ Revision: 1164153
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 0.6.0-1.mga7
+ Revision: 1157465
- update to 0.6.0

* Sun Jun 19 2016 pterjan <pterjan> 0.5.1-2.mga6
+ Revision: 1026110
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 0.5.1-1.mga6
+ Revision: 1007511
- update to 0.5.1

* Sat Feb 20 2016 umeabot <umeabot> 0.4.0-2.mga6
+ Revision: 971313
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 0.4.0-1.mga6
+ Revision: 891331
- update to 0.4.0

* Tue Jun 23 2015 sander85 <sander85> 0.3.0-1.mga6
+ Revision: 840044
- update to 0.3.0

* Sun Oct 19 2014 umeabot <umeabot> 0.2.1-5.mga5
+ Revision: 790065
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.2.1-4.mga5
+ Revision: 743326
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.2.1-2.mga4
+ Revision: 526888
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.2.1-1.mga4
+ Revision: 439087
- update to 0.2.1

* Sun Jan 13 2013 umeabot <umeabot> 0.1.3-2.mga3
+ Revision: 366069
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 0.1.3-1.mga3
+ Revision: 267246
- adding missing buildrequires:
- imported package perl-Dist-Zilla-Plugin-ChangeStats-Git


* Mon Jul 02 2012 cpan2dist 0.1.3-1mga
- initial mageia release, generated with cpan2dist
